Subject: Re: problem building program: undef ref _imp__gettext
From: Robert Collins <[email-masked]>
To: Charles Wilson <[email-masked]>
Cc: Mark Paulus <[email-masked]>, cygwin mailing list <[email-masked]>
Date: 28 Aug 2001 17:01:26 +1000

On 28 Aug 2001 01:04:12 -0400, Charles Wilson wrote:
> Robert Collins wrote:
> 
> > On 27 Aug 2001 14:51:05 -0600, Mark Paulus wrote:
> > 
> >>Ok, I am guilty as charged of the "minimilistic" information.  
> >>I am trying to build the debian dpkg source package, in an
> >>effort to start a debian-cygwin project.  dpkg does use
> >>autoconf, and as such, I ran it in it's default state.  I will
> >>try re-running it with the pointers you gave me, and then 
> >>see about what it takes to get it to build OOB.
> >>
> > 
> > dpkg requires fifo's last I looked at it. 
> > 
> > You need to create proper fifos for cygwin _before_ worrying about the
> > package per se.
> > 
> > I'm happy to send a patch for cygwin that has partially functioning
> > fifos, but it's quite bitrotted now, and had problems with fork when I
> > last looked at it.
> 
> 
> don't you need a daemon to handle permissions for fifos to work? Or am I 
> confusing that with something else?

The daemon is _needed_ for improving some security aspects.
It's also _needed_ for shm to work properly.
Coincidentally it makes things like fifos a lot easier, because you can
potentially just pass around a pair of pipe() handles, rather than the
mucking around with mapped memory regions I'm doing at the moment.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/